//
// misc.h
//

#ifndef __MISC
#define __MISC

#define	CURRENT_PREFS_VERS	0x0100		
		
		/* GAME PREFERENCES */
		
typedef struct
{
	u_long			version;

	Boolean			playInWindow;
	short			depth;
	int				screenWidth;
	int				screenHeight;

	HIDControlSettingsType	controlSettings;		
	
	Boolean			dontUseHID;
	
	int				reserved[8];
}PrefsType;


//---------------------------------------------------

void DoFatalAlert(Str255 s);
void DoAlert(Str255 s);
void CleanQuit(void);
void CalcFramesPerSecond(void);
void GetMyApplicationResourcesFolder(void);
void SetDefaultDirectory(void);
void GetFullPathFromFSSpec(const FSSpec *spec, UInt8 *fullpath, int maxBufLen);

void InitDefaultPrefs(void);
void SaveOurPrefs(void);
OSErr LoadOurPrefs(void);

#endif


